%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global glib2_minver	2.28

%define api_version	0
%define major		1
%define libname		%mklibname msgraph %{api_version} %{major}
%define girname		%mklibname msgraph-gir %{api_version}
%define develname	%mklibname msgraph -d

Name:		msgraph
Version:	0.2.3
Release:	%mkrel 1
Summary:	Library to access MS Graph API for Microsoft 365
Group:		System/Libraries
License:	LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/GNOME/msgraph
Source0:	%{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_minver}
BuildRequires:	pkgconfig(gio-2.0) >= %{glib2_minver}
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(rest-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(libuhttpmock-1.0) >= 0.10.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	gi-docgen
BuildRequires:	glib-networking

%description
libmsgraph is a GLib-based library for accessing online service APIs
using the MS Graph protocol.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library to access MS Graph API for Microsoft 365
Group:		System/Libraries

Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < 0.2.1-2

%description -n	%{libname}
libmsgraph is a GLib-based library for accessing online service APIs
using the MS Graph protocol.

#------------------------------------------------

%package -n	%{girname}
Summary:	GObject Introspection interface description for MS Graph
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for MS Graph.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

# the 'drive' test wats to connect to the actual drive / microsoft servers
sed -i '/drive/d' tests/meson.build

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license COPYING
%doc README.md NEWS
%{_libdir}/lib%{name}-%{api_version}.so.%{version}
%{_libdir}/lib%{name}-%{api_version}.so.%{major}

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/Msg-%{api_version}.typelib

%files -n %{develname}
%{_includedir}/msg/
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/%{name}-%{api_version}.1.pc
%{_datadir}/gir-1.0/Msg-%{api_version}.gir
%{_docdir}/msgraph-0/


%changelog
* Wed Jun 19 2024 daviddavid <daviddavid> 0.2.3-1.mga10
+ Revision: 2075533
- new version 0.2.3

* Sun Jun 02 2024 daviddavid <daviddavid> 0.2.2-1.mga10
+ Revision: 2069173
- new version 0.2.2

* Mon Mar 18 2024 daviddavid <daviddavid> 0.2.1-3.mga10
+ Revision: 2050495
- re-enable testsuite

* Sun Mar 17 2024 daviddavid <daviddavid> 0.2.1-2.mga10
+ Revision: 2050250
- fix library pkg name

* Sun Mar 17 2024 daviddavid <daviddavid> 0.2.1-1.mga10
+ Revision: 2050212
- initial package msgraph

